Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api.scholarlysoftware.com/api/v1/ranks/{id} \ --header 'Authorization: Bearer <token>'
import requests url = "https://api.scholarlysoftware.com/api/v1/ranks/{id}" headers = {"Authorization": "Bearer <token>"} response = requests.get(url, headers=headers) print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}}; fetch('https://api.scholarlysoftware.com/api/v1/ranks/{id}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
{ "data": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "type": "rank", "attributes": { "created_at": "<string>", "updated_at": "<string>", "name": "<string>", "external_id": "<string>" }, "relationships": {}, "meta": { "deletable": true, "primary_appointments_count": 123 } } }
{ "errors": [ { "status": "<string>", "title": "<string>", "detail": "<string>" } ] }
Returns details of a specific rank
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
Bearer token
rank found
Show child attributes